import request from '@/utils/request'

// 查询认证列表
export function listAuthentication(query) {
  return request({
    url: '/authentication/authentication/list',
    method: 'get',
    params: query
  })
}

// 查询认证详细
export function getAuthentication(id) {
  return request({
    url: '/authentication/authentication/' + id,
    method: 'get'
  })
}

// 新增认证
export function addAuthentication(data) {
  return request({
    url: '/authentication/authentication',
    method: 'post',
    data: data
  })
}

// 修改认证
export function updateAuthentication(data) {
  return request({
    url: '/authentication/authentication/'+data.id,
    method: 'put',
    data: data
  })
}

// 删除认证
export function delAuthentication(id) {
  return request({
    url: '/authentication/authentication/' + id,
    method: 'delete'
  })
}
