import request from '@/utils/request'

// 查询企业列表
export function listCompany(query) {
  return request({
    url: '/authentication/company/list',
    method: 'get',
    params: query
  })
}

// 查询企业详细
export function getCompany(id) {
  return request({
    url: '/authentication/company/' + id,
    method: 'get'
  })
}

// 新增企业
export function addCompany(data) {
  return request({
    url: '/authentication/company',
    method: 'post',
    data: data
  })
}

// 修改企业
export function updateCompany(data) {
  return request({
    url: '/authentication/company/'+data.id,
    method: 'put',
    data: data
  })
}

// 删除企业
export function delCompany(id) {
  return request({
    url: '/company/company/' + id,
    method: 'delete'
  })
}
