import request from '@/utils/request'

// 查询支付列表
export function listPay(query) {
  return request({
    url: '/authentication/pay/list',
    method: 'get',
    params: query
  })
}

// 查询支付详细
export function getPay(id) {
  return request({
    url: '/authentication/pay/' + id,
    method: 'get'
  })
}

// 新增支付
export function addPay(data) {
  return request({
    url: '/authentication/pay',
    method: 'post',
    data: data
  })
}

// 修改支付
export function updatePay(data) {
  return request({
    url: '/authentication/pay/'+data.id,
    method: 'put',
    data: data
  })
}

// 删除支付
export function delPay(id) {
  return request({
    url: '/authentication/pay/' + id,
    method: 'delete'
  })
}
